BLK_QUEUE_BOUNCE_LIM(9)

NAME
blk_queue_bounce_limit - set bounce buffer limit for queue

SYNOPSIS

void blk_queue_bounce_limit(struct request_queue * q, u64 max_addr);

ARGUMENTS

q
    the request queue for the device

max_addr
    the maximum address the device can handle

DESCRIPTION

Different hardware can have different requirements as to what pages it can do I/O directly to. A low level driver can call blk_queue_bounce_limit to have lower memory pages allocated as bounce buffers for doing I/O to pages residing above max_addr.

COPYRIGHT